from fred_api.registry.domain import domain_common_types_pb2 as _domain_common_types_pb2
from fred_api.registry.domain_blacklist import domain_blacklist_common_types_pb2 as _domain_blacklist_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class DomainLifeCycleStageRequest(_message.Message):
    __slots__ = ("fqdn", "time")
    FQDN_FIELD_NUMBER: _ClassVar[int]
    TIME_FIELD_NUMBER: _ClassVar[int]
    fqdn: _domain_common_types_pb2.Fqdn
    time: _timestamp_pb2.Timestamp
    def __init__(self, fqdn: _Optional[_Union[_domain_common_types_pb2.Fqdn, _Mapping]] = ..., time: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...

class DomainLifeCycleStageReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("domain_id", "delete_candidate", "not_registered", "in_auction", "blacklisted")
        class Blacklist(_message.Message):
            __slots__ = ("block_ids",)
            BLOCK_IDS_FIELD_NUMBER: _ClassVar[int]
            block_ids: _containers.RepeatedCompositeFieldContainer[_domain_blacklist_common_types_pb2.BlockId]
            def __init__(self, block_ids: _Optional[_Iterable[_Union[_domain_blacklist_common_types_pb2.BlockId, _Mapping]]] = ...) -> None: ...
        DOMAIN_ID_FIELD_NUMBER: _ClassVar[int]
        DELETE_CANDIDATE_FIELD_NUMBER: _ClassVar[int]
        NOT_REGISTERED_FIELD_NUMBER: _ClassVar[int]
        IN_AUCTION_FIELD_NUMBER: _ClassVar[int]
        BLACKLISTED_FIELD_NUMBER: _ClassVar[int]
        domain_id: _domain_common_types_pb2.DomainId
        delete_candidate: _empty_pb2.Empty
        not_registered: _empty_pb2.Empty
        in_auction: _empty_pb2.Empty
        blacklisted: DomainLifeCycleStageReply.Data.Blacklist
        def __init__(self, domain_id: _Optional[_Union[_domain_common_types_pb2.DomainId, _Mapping]] = ..., delete_candidate: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., not_registered: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., in_auction: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., blacklisted: _Optional[_Union[DomainLifeCycleStageReply.Data.Blacklist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: DomainLifeCycleStageReply.Data
    def __init__(self, data: _Optional[_Union[DomainLifeCycleStageReply.Data, _Mapping]] = ...) -> None: ...
