from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class BlockId(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class RequestedBy(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class BlockRef(_message.Message):
    __slots__ = ("id", "fqdn", "regex")
    ID_FIELD_NUMBER: _ClassVar[int]
    FQDN_FIELD_NUMBER: _ClassVar[int]
    REGEX_FIELD_NUMBER: _ClassVar[int]
    id: BlockId
    fqdn: str
    regex: str
    def __init__(self, id: _Optional[_Union[BlockId, _Mapping]] = ..., fqdn: _Optional[str] = ..., regex: _Optional[str] = ...) -> None: ...

class BlockInfo(_message.Message):
    __slots__ = ("fqdn", "regex", "requested_by", "id", "valid_from", "valid_to", "reason")
    FQDN_FIELD_NUMBER: _ClassVar[int]
    REGEX_FIELD_NUMBER: _ClassVar[int]
    REQUESTED_BY_FIELD_NUMBER: _ClassVar[int]
    ID_FIELD_NUMBER: _ClassVar[int]
    VALID_FROM_FIELD_NUMBER: _ClassVar[int]
    VALID_TO_FIELD_NUMBER: _ClassVar[int]
    REASON_FIELD_NUMBER: _ClassVar[int]
    fqdn: str
    regex: str
    requested_by: RequestedBy
    id: BlockId
    valid_from: _timestamp_pb2.Timestamp
    valid_to: _timestamp_pb2.Timestamp
    reason: str
    def __init__(self, fqdn: _Optional[str] = ..., regex: _Optional[str] = ..., requested_by: _Optional[_Union[RequestedBy, _Mapping]] = ..., id: _Optional[_Union[BlockId, _Mapping]] = ..., valid_from: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., valid_to: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., reason: _Optional[str] = ...) -> None: ...
