from fred_api.registry.nsset import nsset_common_types_pb2 as _nsset_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ListNssetsRequest(_message.Message):
    __slots__ = ("exclude_nssets_without_domain",)
    EXCLUDE_NSSETS_WITHOUT_DOMAIN_FIELD_NUMBER: _ClassVar[int]
    exclude_nssets_without_domain: bool
    def __init__(self, exclude_nssets_without_domain: bool = ...) -> None: ...

class ListNssetsReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("nssets",)
        NSSETS_FIELD_NUMBER: _ClassVar[int]
        nssets: _containers.RepeatedCompositeFieldContainer[_nsset_common_types_pb2.NssetRef]
        def __init__(self, nssets: _Optional[_Iterable[_Union[_nsset_common_types_pb2.NssetRef, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ListNssetsReply.Data
    def __init__(self, data: _Optional[_Union[ListNssetsReply.Data, _Mapping]] = ...) -> None: ...
