from fred_api.registry import common_types_pb2 as _common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class NssetId(_message.Message):
    __slots__ = ("uuid",)
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class NssetHistoryId(_message.Message):
    __slots__ = ("uuid",)
    UUID_FIELD_NUMBER: _ClassVar[int]
    uuid: _common_types_pb2.Uuid
    def __init__(self, uuid: _Optional[_Union[_common_types_pb2.Uuid, _Mapping]] = ...) -> None: ...

class NssetHandle(_message.Message):
    __slots__ = ("value",)
    VALUE_FIELD_NUMBER: _ClassVar[int]
    value: str
    def __init__(self, value: _Optional[str] = ...) -> None: ...

class NssetRef(_message.Message):
    __slots__ = ("id", "handle")
    ID_FIELD_NUMBER: _ClassVar[int]
    HANDLE_FIELD_NUMBER: _ClassVar[int]
    id: NssetId
    handle: NssetHandle
    def __init__(self, id: _Optional[_Union[NssetId, _Mapping]] = ..., handle: _Optional[_Union[NssetHandle, _Mapping]] = ...) -> None: ...

class NssetHistoryInterval(_message.Message):
    __slots__ = ("lower_limit", "upper_limit")
    class Limit(_message.Message):
        __slots__ = ("timestamp", "nsset_history_id")
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        NSSET_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        timestamp: _timestamp_pb2.Timestamp
        nsset_history_id: NssetHistoryId
        def __init__(self, timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., nsset_history_id: _Optional[_Union[NssetHistoryId, _Mapping]] = ...) -> None: ...
    LOWER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    UPPER_LIMIT_FIELD_NUMBER: _ClassVar[int]
    lower_limit: NssetHistoryInterval.Limit
    upper_limit: NssetHistoryInterval.Limit
    def __init__(self, lower_limit: _Optional[_Union[NssetHistoryInterval.Limit, _Mapping]] = ..., upper_limit: _Optional[_Union[NssetHistoryInterval.Limit, _Mapping]] = ...) -> None: ...
