from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class GetRegistrarCertificationsRequest(_message.Message):
    __slots__ = ("registrar_handle",)
    REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
    registrar_handle: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class GetRegistrarCertificationsReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("certifications",)
        CERTIFICATIONS_FIELD_NUMBER: _ClassVar[int]
        certifications: _containers.RepeatedCompositeFieldContainer[_registrar_common_types_pb2.RegistrarCertification]
        def __init__(self, certifications: _Optional[_Iterable[_Union[_registrar_common_types_pb2.RegistrarCertification, _Mapping]]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("registrar_does_not_exist",)
        class RegistrarDoesNotExist(_message.Message):
            __slots__ = ()
            def __init__(self) -> None: ...
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        registrar_does_not_exist: GetRegistrarCertificationsReply.Exception.RegistrarDoesNotExist
        def __init__(self, registrar_does_not_exist: _Optional[_Union[GetRegistrarCertificationsReply.Exception.RegistrarDoesNotExist, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: GetRegistrarCertificationsReply.Data
    exception: GetRegistrarCertificationsReply.Exception
    def __init__(self, data: _Optional[_Union[GetRegistrarCertificationsReply.Data, _Mapping]] = ..., exception: _Optional[_Union[GetRegistrarCertificationsReply.Exception, _Mapping]] = ...) -> None: ...
