from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ContactHandleHistoryRequest(_message.Message):
    __slots__ = ("contact_handle",)
    CONTACT_HANDLE_FIELD_NUMBER: _ClassVar[int]
    contact_handle: _contact_common_types_pb2.ContactHandle
    def __init__(self, contact_handle: _Optional[_Union[_contact_common_types_pb2.ContactHandle, _Mapping]] = ...) -> None: ...

class ContactLifetime(_message.Message):
    __slots__ = ("contact_id", "registered_from", "registered_to")
    class TimeSpec(_message.Message):
        __slots__ = ("contact_history_id", "timestamp")
        CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        contact_history_id: _contact_common_types_pb2.ContactHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, contact_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ..., timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_FROM_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_TO_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    registered_from: ContactLifetime.TimeSpec
    registered_to: ContactLifetime.TimeSpec
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., registered_from: _Optional[_Union[ContactLifetime.TimeSpec, _Mapping]] = ..., registered_to: _Optional[_Union[ContactLifetime.TimeSpec, _Mapping]] = ...) -> None: ...

class ContactHandleHistoryReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("contact_handle", "timeline")
        CONTACT_HANDLE_FIELD_NUMBER: _ClassVar[int]
        TIMELINE_FIELD_NUMBER: _ClassVar[int]
        contact_handle: _contact_common_types_pb2.ContactHandle
        timeline: _containers.RepeatedCompositeFieldContainer[ContactLifetime]
        def __init__(self, contact_handle: _Optional[_Union[_contact_common_types_pb2.ContactHandle, _Mapping]] = ..., timeline: _Optional[_Iterable[_Union[ContactLifetime, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: ContactHandleHistoryReply.Data
    def __init__(self, data: _Optional[_Union[ContactHandleHistoryReply.Data, _Mapping]] = ...) -> None: ...
