from fred_api.registry.contact import contact_common_types_pb2 as _contact_common_types_pb2
from fred_api.registry import common_types_pb2 as _common_types_pb2
from fred_api.registry import error_types_pb2 as _error_types_pb2
from fred_api.registry import object_events_pb2 as _object_events_pb2
from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf import empty_pb2 as _empty_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class SetEmailAddresses(_message.Message):
    __slots__ = ("values",)
    VALUES_FIELD_NUMBER: _ClassVar[int]
    values: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.EmailAddress]
    def __init__(self, values: _Optional[_Iterable[_Union[_common_types_pb2.EmailAddress, _Mapping]]] = ...) -> None: ...

class UpdateContactRequest(_message.Message):
    __slots__ = ("contact_id", "contact_snapshot_id", "set_name", "set_organization", "set_place", "set_telephone", "set_fax", "set_emails", "set_notify_emails", "set_vat_identification_number", "set_additional_identifier", "set_publish", "set_mailing_address", "delete_mailing_address", "set_billing_address", "delete_billing_address", "set_shipping_address1", "delete_shipping_address1", "set_shipping_address2", "delete_shipping_address2", "set_shipping_address3", "delete_shipping_address3", "set_warning_letter", "log_entry_id", "by_registrar")
    class SetPublishEntry(_message.Message):
        __slots__ = ("key", "value")
        KEY_FIELD_NUMBER: _ClassVar[int]
        VALUE_FIELD_NUMBER: _ClassVar[int]
        key: str
        value: bool
        def __init__(self, key: _Optional[str] = ..., value: bool = ...) -> None: ...
    CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
    CONTACT_SNAPSHOT_ID_FIELD_NUMBER: _ClassVar[int]
    SET_NAME_FIELD_NUMBER: _ClassVar[int]
    SET_ORGANIZATION_FIELD_NUMBER: _ClassVar[int]
    SET_PLACE_FIELD_NUMBER: _ClassVar[int]
    SET_TELEPHONE_FIELD_NUMBER: _ClassVar[int]
    SET_FAX_FIELD_NUMBER: _ClassVar[int]
    SET_EMAILS_FIELD_NUMBER: _ClassVar[int]
    SET_NOTIFY_EMAILS_FIELD_NUMBER: _ClassVar[int]
    SET_VAT_IDENTIFICATION_NUMBER_FIELD_NUMBER: _ClassVar[int]
    SET_ADDITIONAL_IDENTIFIER_FIELD_NUMBER: _ClassVar[int]
    SET_PUBLISH_FIELD_NUMBER: _ClassVar[int]
    SET_MAILING_ADDRESS_FIELD_NUMBER: _ClassVar[int]
    DELETE_MAILING_ADDRESS_FIELD_NUMBER: _ClassVar[int]
    SET_BILLING_ADDRESS_FIELD_NUMBER: _ClassVar[int]
    DELETE_BILLING_ADDRESS_FIELD_NUMBER: _ClassVar[int]
    SET_SHIPPING_ADDRESS1_FIELD_NUMBER: _ClassVar[int]
    DELETE_SHIPPING_ADDRESS1_FIELD_NUMBER: _ClassVar[int]
    SET_SHIPPING_ADDRESS2_FIELD_NUMBER: _ClassVar[int]
    DELETE_SHIPPING_ADDRESS2_FIELD_NUMBER: _ClassVar[int]
    SET_SHIPPING_ADDRESS3_FIELD_NUMBER: _ClassVar[int]
    DELETE_SHIPPING_ADDRESS3_FIELD_NUMBER: _ClassVar[int]
    SET_WARNING_LETTER_FIELD_NUMBER: _ClassVar[int]
    LOG_ENTRY_ID_FIELD_NUMBER: _ClassVar[int]
    BY_REGISTRAR_FIELD_NUMBER: _ClassVar[int]
    contact_id: _contact_common_types_pb2.ContactId
    contact_snapshot_id: _common_types_pb2.SnapshotId
    set_name: str
    set_organization: str
    set_place: _common_types_pb2.PlaceAddress
    set_telephone: _common_types_pb2.PhoneNumber
    set_fax: _common_types_pb2.PhoneNumber
    set_emails: SetEmailAddresses
    set_notify_emails: SetEmailAddresses
    set_vat_identification_number: _common_types_pb2.VatIdentificationNumber
    set_additional_identifier: _contact_common_types_pb2.ContactAdditionalIdentifier
    set_publish: _containers.ScalarMap[str, bool]
    set_mailing_address: _contact_common_types_pb2.ContactAddress
    delete_mailing_address: _empty_pb2.Empty
    set_billing_address: _contact_common_types_pb2.ContactAddress
    delete_billing_address: _empty_pb2.Empty
    set_shipping_address1: _contact_common_types_pb2.ContactAddress
    delete_shipping_address1: _empty_pb2.Empty
    set_shipping_address2: _contact_common_types_pb2.ContactAddress
    delete_shipping_address2: _empty_pb2.Empty
    set_shipping_address3: _contact_common_types_pb2.ContactAddress
    delete_shipping_address3: _empty_pb2.Empty
    set_warning_letter: _contact_common_types_pb2.WarningLetter
    log_entry_id: _common_types_pb2.LogEntryId
    by_registrar: _registrar_common_types_pb2.RegistrarHandle
    def __init__(self, contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., contact_snapshot_id: _Optional[_Union[_common_types_pb2.SnapshotId, _Mapping]] = ..., set_name: _Optional[str] = ..., set_organization: _Optional[str] = ..., set_place: _Optional[_Union[_common_types_pb2.PlaceAddress, _Mapping]] = ..., set_telephone: _Optional[_Union[_common_types_pb2.PhoneNumber, _Mapping]] = ..., set_fax: _Optional[_Union[_common_types_pb2.PhoneNumber, _Mapping]] = ..., set_emails: _Optional[_Union[SetEmailAddresses, _Mapping]] = ..., set_notify_emails: _Optional[_Union[SetEmailAddresses, _Mapping]] = ..., set_vat_identification_number: _Optional[_Union[_common_types_pb2.VatIdentificationNumber, _Mapping]] = ..., set_additional_identifier: _Optional[_Union[_contact_common_types_pb2.ContactAdditionalIdentifier, _Mapping]] = ..., set_publish: _Optional[_Mapping[str, bool]] = ..., set_mailing_address: _Optional[_Union[_contact_common_types_pb2.ContactAddress, _Mapping]] = ..., delete_mailing_address: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., set_billing_address: _Optional[_Union[_contact_common_types_pb2.ContactAddress, _Mapping]] = ..., delete_billing_address: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., set_shipping_address1: _Optional[_Union[_contact_common_types_pb2.ContactAddress, _Mapping]] = ..., delete_shipping_address1: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., set_shipping_address2: _Optional[_Union[_contact_common_types_pb2.ContactAddress, _Mapping]] = ..., delete_shipping_address2: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., set_shipping_address3: _Optional[_Union[_contact_common_types_pb2.ContactAddress, _Mapping]] = ..., delete_shipping_address3: _Optional[_Union[_empty_pb2.Empty, _Mapping]] = ..., set_warning_letter: _Optional[_Union[_contact_common_types_pb2.WarningLetter, _Mapping]] = ..., log_entry_id: _Optional[_Union[_common_types_pb2.LogEntryId, _Mapping]] = ..., by_registrar: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...

class UpdateContactReply(_message.Message):
    __slots__ = ("data", "exception")
    class Data(_message.Message):
        __slots__ = ("contact_handle", "contact_id", "contact_history_id", "events")
        CONTACT_HANDLE_FIELD_NUMBER: _ClassVar[int]
        CONTACT_ID_FIELD_NUMBER: _ClassVar[int]
        CONTACT_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        EVENTS_FIELD_NUMBER: _ClassVar[int]
        contact_handle: _contact_common_types_pb2.ContactHandle
        contact_id: _contact_common_types_pb2.ContactId
        contact_history_id: _contact_common_types_pb2.ContactHistoryId
        events: _object_events_pb2.ObjectEvents
        def __init__(self, contact_handle: _Optional[_Union[_contact_common_types_pb2.ContactHandle, _Mapping]] = ..., contact_id: _Optional[_Union[_contact_common_types_pb2.ContactId, _Mapping]] = ..., contact_history_id: _Optional[_Union[_contact_common_types_pb2.ContactHistoryId, _Mapping]] = ..., events: _Optional[_Union[_object_events_pb2.ObjectEvents, _Mapping]] = ...) -> None: ...
    class Exception(_message.Message):
        __slots__ = ("contact_does_not_exist", "invalid_snapshot", "registrar_does_not_exist", "invalid_data")
        CONTACT_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_SNAPSHOT_FIELD_NUMBER: _ClassVar[int]
        REGISTRAR_DOES_NOT_EXIST_FIELD_NUMBER: _ClassVar[int]
        INVALID_DATA_FIELD_NUMBER: _ClassVar[int]
        contact_does_not_exist: _error_types_pb2.ContactDoesNotExist
        invalid_snapshot: _error_types_pb2.InvalidSnapshot
        registrar_does_not_exist: _error_types_pb2.RegistrarDoesNotExist
        invalid_data: _error_types_pb2.InvalidData
        def __init__(self, contact_does_not_exist: _Optional[_Union[_error_types_pb2.ContactDoesNotExist, _Mapping]] = ..., invalid_snapshot: _Optional[_Union[_error_types_pb2.InvalidSnapshot, _Mapping]] = ..., registrar_does_not_exist: _Optional[_Union[_error_types_pb2.RegistrarDoesNotExist, _Mapping]] = ..., invalid_data: _Optional[_Union[_error_types_pb2.InvalidData, _Mapping]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    EXCEPTION_FIELD_NUMBER: _ClassVar[int]
    data: UpdateContactReply.Data
    exception: UpdateContactReply.Exception
    def __init__(self, data: _Optional[_Union[UpdateContactReply.Data, _Mapping]] = ..., exception: _Optional[_Union[UpdateContactReply.Exception, _Mapping]] = ...) -> None: ...
