from fred_api.registry.keyset import keyset_common_types_pb2 as _keyset_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class KeysetHandleHistoryRequest(_message.Message):
    __slots__ = ("keyset_handle",)
    KEYSET_HANDLE_FIELD_NUMBER: _ClassVar[int]
    keyset_handle: _keyset_common_types_pb2.KeysetHandle
    def __init__(self, keyset_handle: _Optional[_Union[_keyset_common_types_pb2.KeysetHandle, _Mapping]] = ...) -> None: ...

class KeysetLifetime(_message.Message):
    __slots__ = ("keyset_id", "registered_from", "registered_to")
    class TimeSpec(_message.Message):
        __slots__ = ("keyset_history_id", "timestamp")
        KEYSET_HISTORY_ID_FIELD_NUMBER: _ClassVar[int]
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        keyset_history_id: _keyset_common_types_pb2.KeysetHistoryId
        timestamp: _timestamp_pb2.Timestamp
        def __init__(self, keyset_history_id: _Optional[_Union[_keyset_common_types_pb2.KeysetHistoryId, _Mapping]] = ..., timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ...) -> None: ...
    KEYSET_ID_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_FROM_FIELD_NUMBER: _ClassVar[int]
    REGISTERED_TO_FIELD_NUMBER: _ClassVar[int]
    keyset_id: _keyset_common_types_pb2.KeysetId
    registered_from: KeysetLifetime.TimeSpec
    registered_to: KeysetLifetime.TimeSpec
    def __init__(self, keyset_id: _Optional[_Union[_keyset_common_types_pb2.KeysetId, _Mapping]] = ..., registered_from: _Optional[_Union[KeysetLifetime.TimeSpec, _Mapping]] = ..., registered_to: _Optional[_Union[KeysetLifetime.TimeSpec, _Mapping]] = ...) -> None: ...

class KeysetHandleHistoryReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("keyset_handle", "timeline")
        KEYSET_HANDLE_FIELD_NUMBER: _ClassVar[int]
        TIMELINE_FIELD_NUMBER: _ClassVar[int]
        keyset_handle: _keyset_common_types_pb2.KeysetHandle
        timeline: _containers.RepeatedCompositeFieldContainer[KeysetLifetime]
        def __init__(self, keyset_handle: _Optional[_Union[_keyset_common_types_pb2.KeysetHandle, _Mapping]] = ..., timeline: _Optional[_Iterable[_Union[KeysetLifetime, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: KeysetHandleHistoryReply.Data
    def __init__(self, data: _Optional[_Union[KeysetHandleHistoryReply.Data, _Mapping]] = ...) -> None: ...
