from fred_api.registry.registrar import registrar_common_types_pb2 as _registrar_common_types_pb2
from google.protobuf import timestamp_pb2 as _timestamp_pb2
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class ObjectEvents(_message.Message):
    __slots__ = ("registered", "transferred", "updated", "unregistered")
    class EventData(_message.Message):
        __slots__ = ("timestamp", "registrar_handle")
        TIMESTAMP_FIELD_NUMBER: _ClassVar[int]
        REGISTRAR_HANDLE_FIELD_NUMBER: _ClassVar[int]
        timestamp: _timestamp_pb2.Timestamp
        registrar_handle: _registrar_common_types_pb2.RegistrarHandle
        def __init__(self, timestamp: _Optional[_Union[_timestamp_pb2.Timestamp, _Mapping]] = ..., registrar_handle: _Optional[_Union[_registrar_common_types_pb2.RegistrarHandle, _Mapping]] = ...) -> None: ...
    REGISTERED_FIELD_NUMBER: _ClassVar[int]
    TRANSFERRED_FIELD_NUMBER: _ClassVar[int]
    UPDATED_FIELD_NUMBER: _ClassVar[int]
    UNREGISTERED_FIELD_NUMBER: _ClassVar[int]
    registered: ObjectEvents.EventData
    transferred: ObjectEvents.EventData
    updated: ObjectEvents.EventData
    unregistered: ObjectEvents.EventData
    def __init__(self, registered: _Optional[_Union[ObjectEvents.EventData, _Mapping]] = ..., transferred: _Optional[_Union[ObjectEvents.EventData, _Mapping]] = ..., updated: _Optional[_Union[ObjectEvents.EventData, _Mapping]] = ..., unregistered: _Optional[_Union[ObjectEvents.EventData, _Mapping]] = ...) -> None: ...
